<?php
// Zuerst Kontrolle, ob Secure besteht:
if (SECURE != "SpercOS")
	die("Error 1");
?>

<?php

if (auth_user_admin()) {
	
	// Benutzer ist Administrator
	// Gebe Option zum Editieren anderer Benutzer:
	$admin_give_option = '<a href="' . $self_refer . '&file=other_user.php"
	id="change-link">' . $lang["other_user"] . '</a>';
	
	// Administrator veraendert einen anderen Benutzer:
	if ($_GET["benutzer_id"] != "") {
		$benutzer_id = $_GET["benutzer_id"];
		$get_haengsel = '&benutzer_id=' . $benutzer_id;
		
	}
	
	// Administrator editiert sich selbst:
	else {
		$benutzer_id = $_SESSION["sos"]["id"];
	}
	
}

else {
	
	// Benutzer ist ganz normaler Benutzer:
	$benutzer_id = $_SESSION["sos"]["id"];
	$readonly = ' readonly="readonly"';
	$admin_disabled = ' disabled="disabled"';
	
}




// Daten wurden bereits gesendet:
if ($_GET["sent"] == "1") {
	
	// Die Daten empfangen:
	$username = $_POST["username"];
	$mail = $_POST["mail"];
	$lang_ = $_POST["lang"];
	$admin = ($_POST["admin"] == 1 ? 1 : 0);
	$tooltips = ($_POST["tooltips"] == 1 ? 1 : 0);
	$loeschen = ($_POST["loeschen"] == 1 ? 1 : 0);
	$new_pwd = $_POST["new_pwd"];
	$re_pwd = $_POST["re_pwd"];
	
	
	// Soll das Passwort geaendert werden?
	if ($new_pwd != "" || $re_pwd != "") {
		
		// Passwoerter gleich?
		if ($new_pwd != $re_pwd)
			$alert_pwd = $lang["nicht-ident-pwd"];
		
		// Passwoerter laenger als 5 Zeichen?
		else if (strlen($new_pwd) < 5)
			$alert_pwd = $lang["zu-kurz-pwd"];
		
		else {
			$add_to_sql_pwd = ", pwd = '" . md5($new_pwd) . "'";
			$alert_pwd = $lang["pwd-changed"];
		}
		
	}
	
	
	// Hat der Benutzer Admin-auth?
	if (auth_user_admin()) {
		
		$add_to_sql_admin = ", username = '" . $username . "', mail = '" . $mail . "',
		admin = " . $admin;
		
	}
	
	
	// Neue Daten eintragen:
	$sql = mysqli_query($mysql_verbindung, "UPDATE sos_users SET lang = '" . $lang_ . "', tooltips = '" . $tooltips . "',
	deleted = '" . $loeschen . "'" . $add_to_sql_pwd . $add_to_sql_admin . " WHERE user_id = '" . $benutzer_id . "' LIMIT 1");
	
	// Wurden die Daten erfolgreich gespeichert?
	if ($sql)
		$alert_sql = $lang["success-saved"];
	else
		$alert_sql = $lang["not-saved"] . mysqli_error($mysql_verbindung);
	
}


// Daten noch nicht gesendet, daher die Daten klassisch abrufen:
else {
	
	// Die Daten zu dem Benutzer abrufen:
	$row = mysqli_fetch_object(mysqli_query($mysql_verbindung, "SELECT username, mail, lang, admin, tooltips FROM sos_users
	WHERE user_id = " . $benutzer_id . " LIMIT 1"));
	
	// Die Daten weiterleiten
	$username = $row->username;
	$mail = $row->mail;
	$lang_ = $row->lang;
	$admin = $row->admin;
	$tooltips = $row->tooltips;
	
}




// Welche Sprache?
if ($lang_ == "de") {
	$lang_de = ' checked="checked"';
	$lang_en = '';
}
else if ($lang_ == "en") {
	$lang_de = '';
	$lang_en = ' checked="checked"';
}


// Tooltips anzeigen?
if ($tooltips == "1")
	$tooltips = ' checked="checked"';
else
	$tooltips = '';


// Administrator?
if ($admin == "1")
	$admin = ' checked="checked"';
else
	$admin = '';


// Das Formular ausgeben:
echo '<div id="haupt"><form action="' . $self_refer . $get_haengsel . '&sent=1" method="post">'
. $admin_give_option
. ($alert_pwd != "" ? '<div class="alert">' . $alert_pwd . '</div>' : '')
. ($alert_sql != "" ? '<div class="alert">' . $alert_sql . '</div>' : '')
. '<fieldset><legend>' . $lang["user-information"] . '</legend>
	<div class="div-links">
		<table border="0"><tr>
		<td>' . $lang["username"] . ': </td>
		<td><input type="text"' . $readonly . ' name="username" value="' . $username . '" /></td>
		</tr><tr>
		<td>' . $lang["mail"] . ': </td>
		<td><input type="text"' . $readonly . ' name="mail" value="' . $mail . '" /></td>
		</tr></table>
	</div>
	<div class="div-rechts">
		<table border="0"><tr>
		<td>' . $lang["new-pwd"] . ': </td>
		<td><input type="password" name="new_pwd" /></td>
		</tr><tr>
		<td>' . $lang["re-pwd"] . ': </td>
		<td><input type="password" name="re_pwd" /></td>
		</tr></table>
	</div>
</fieldset>
<fieldset><legend>' . $lang["ui-settings"] . '</legend>
	<div class="div-links">
		<table border="0"><tr>
		<td>' . $lang["tooltips"] . ': </td>
		<td><input type="checkbox" value="1" name="tooltips"' . $tooltips . ' /></td>
		</tr><tr>
		<td>' . $lang["admin"] . ': </td>
		<td><input type="checkbox" value="1" name="admin"' . $admin . $admin_disabled . ' /></td>
		</tr></table>
	</div>
	<div class="div-rechts">
		<table border="0"><tr>
		<td>' . $lang["lang"] . ': </td>
		<td><input type="radio" value="de" name="lang"' . $lang_de . ' /> ' . $lang["de"] . '<br />
		<input type="radio" value="en" name="lang"' . $lang_en . ' /> ' . $lang["en"] . '</td>
		</tr></table>
	</div>
</fieldset>
<fieldset style="text-align: center;"><legend style="text-align: left;">' . $lang["delete-user"] . '</legend>
	<input type="checkbox" name="loeschen" value="1" /> ' . $lang["just-click"] . '
</fieldset>
<p style="text-align: center;"><input type="submit" value="' . $lang["save"] . '" /></p>
</form></div>';

?>
