<?php

// Zuerst Kontrolle, ob Secure besteht:
if (SECURE != "SpercOS")
	die("Error 1");
	
	

// --------------------------------------------


function set_lang ($langfile, $subpaths) {
	
	// Subpfade notwendig?
	if ($subpaths != "") {
		
		// Schleife um die benoetigten auszufuehren:
		while ($i < $subpaths) {
			$i++;
			$prepath = $prepath . "../";
		}
		
	}
	
	
	// Sprache definieren:
	if ($_GET["lang"] != "" && is_dir("langs/" . str_replace("/", "", $_GET["lang"]))) {
		// Wenn der GET nicht leer ist, dann nehmen wir doch diesen Vorschlag
		$_SESSION["sos"]["lang"] = $_GET["lang"];
		return $prepath . "langs/" . str_replace("/", "", $_GET["lang"]) . "/" . $langfile;
	}
	
	elseif ($_SESSION["sos"]["lang"] != "") {
		// Nehmen wir halt die Sprache, die in der Session steht
		return $prepath . "langs/" . $_SESSION["sos"]["lang"] . "/" . $langfile;
	}
	
	else {
		// Ansonsten typische deutsche Sprache
		$_SESSION["sos"]["lang"] = 'de';
		return $prepath . "langs/de/" . $langfile;
	}
	
}


function auth_user_session () {
	
	// MySQL erlauben:
	global $mysql_verbindung;
	
	// User behauptet, dass er eingelogged ist.
	if ($_SESSION["sos"]["id"] != "" && is_numeric($_SESSION["sos"]["id"]) && $_SESSION["sos"]["pwd"] != "") {
		
		// SQL Abfrage der Sprache, des Passwortes
		$sql = mysqli_query($mysql_verbindung, "SELECT pwd, lang, admin FROM sos_users
		WHERE user_id = " . $_SESSION["sos"]["id"] . " LIMIT 1");
		$row = mysqli_fetch_object($sql);
		
		if ($row->pwd == $_SESSION["sos"]["pwd"]) {
			
			// Benutzer verifiziert. Zur Sicherheit noch die Sprache setzen:
			$_SESSION["sos"]["lang"] = $row->lang;
			return true;
			
		}
		
		else
			die("Error 4");
		
	}
	
	// User auf jeden fall nicht eingelogged und gibt es zu
	else
		return false;
	
}




function auth_user_admin () {
	
	// MySQL erlauben:
	global $mysql_verbindung;
	
	// Benutzer muesste zuerst natuerlich eingelogged sein, damit er als Admin verifiziert werden kann:
	if ($_SESSION["sos"]["id"] != "" && is_numeric($_SESSION["sos"]["id"]) && $_SESSION["sos"]["pwd"] != "") {
		
		$sql = mysqli_query($mysql_verbindung, "SELECT admin FROM sos_users WHERE user_id = " . $_SESSION["sos"]["id"] . " LIMIT 1");
		$row = mysqli_fetch_object($sql);
		
		if ($row->admin == "1") {
			// Benutzer ist Admin
			return true;
		}
		else {
			// Benutzer ist kein Admin
			return false;
		}
		
	}
	
	else {
		// Benutzer ist nicht angemeldet und duerfte daher garnicht erst ueberprueft werden:
		die("Error 5");
	}
	
}

?>
