<?php
/*Just add all the db-queries here. Prefix is $_SESSION['installer']['sql_prefix']*/
$queries = array(
'Creating table "sos_apps"' => 'CREATE TABLE IF NOT EXISTS `sos_apps` (
  `app_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `req_full_rights` tinyint(1) NOT NULL,
  `scripts` text NOT NULL,
  `css` text NOT NULL,
  `width` int(10) NOT NULL,
  `height` int(10) NOT NULL,
  `resizable` tinyint(1) NOT NULL,
  `fullscreenable` tinyint(1) NOT NULL,
  `closeable` tinyint(1) NOT NULL,
  `on_close` varchar(50) NOT NULL,
  `minimizable` tinyint(1) NOT NULL,
  `start_on_fullscreen` tinyint(1) NOT NULL,
  `background_title` varchar(15) NOT NULL,
  `background_body` varchar(15) NOT NULL,
  `admin_only` tinyint(1) NOT NULL,
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5',

'Creating table "sos_desktop-icons"' => 'CREATE TABLE IF NOT EXISTS `sos_desktop-icons` (
  `desktop-icon_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `app_id` int(10) NOT NULL,
  `from-left` int(10) NOT NULL,
  `from-top` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  PRIMARY KEY (`desktop-icon_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1',

'Creating table "sos_files"' => 'CREATE TABLE IF NOT EXISTS `sos_files` (
  `file_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `app_id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `protected` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  `date_created` varchar(50) NOT NULL,
  `date_last_edit` varchar(50) NOT NULL,
  `created_by` varchar(50) NOT NULL,
  `last_edit_by` varchar(50) NOT NULL,
  `shared` tinyint(1) NOT NULL,
  `hidden` tinyint(1) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`file_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1',

'Creating table "sos_users"' => 'CREATE TABLE IF NOT EXISTS `sos_users` (
  `user_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `pwd` varchar(50) NOT NULL,
  `mail` varchar(100) NOT NULL,
  `lang` varchar(5) NOT NULL,
  `admin` tinyint(1) NOT NULL,
  `recent` varchar(50) NOT NULL,
  `lastlogin` varchar(50) NOT NULL,
  `sent_command` varchar(50) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `tooltips` tinyint(1) NOT NULL,
  `style` varchar(50) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3',

'Inserting Data in "sos_apps"' => 'INSERT INTO `sos_apps` (`app_id`, `title`, `req_full_rights`, `scripts`, `css`, `width`, `height`, `resizable`, `fullscreenable`, `closeable`, `on_close`, `minimizable`, `start_on_fullscreen`, `background_title`, `background_body`, `admin_only`) VALUES
(1, \'&Uuml;ber SpercOS\', 0, \'\', \'style\', 400, 300, 1, 1, 1, \'\', 1, 0, \'70,70,200\', \'150,30,30\', 0),
(2, \'Logout\', 0, \'\', \'style\', 600, 180, 0, 0, 1, \'\', 0, 0, \'70,70,200\', \'150,30,30\', 0),
(3, \'Benutzereinstellungen\', 0, \'\', \'style\', 400, 400, 1, 1, 1, \'\', 1, 1, \'70,70,200\', \'150,30,30\', 0),
(4, \'Appmanager\', 1, \'\', \'styles\', 300, 400, 1, 1, 1, \'\', 1, 1, \'50, 255, 50\', \'0, 0, 150\', 1)'

);
?>
