<?php
	
// Session starten
session_start();

// Secure machen:
define("SECURE", "SpercOS");

// Wichtige Dateien einbinden:
require_once "../mysql_inc.php";
require_once "../funcs_inc.php";

// Benutzer muss eingelogged sein, damit App gestartet werden kann
if (!auth_user_session) {
	die("Error Window 1");
}


// Die App ID herausfinden
$app_id = $_POST["app_id"];
if (!is_numeric($app_id) || $app_id == "") {
	// Die App ID ist fehlerhaft / nicht vergeben
	die("Error Window 2");
}


// Die Appinformationen auslesen:
$sql = mysqli_query($mysql_verbindung, "SELECT app_id, title, req_full_rights, width, height, resizable, fullscreenable,
closeable, on_close, minimizable, start_on_fullscreen, background_title, background_body, admin_only
FROM sos_apps WHERE app_id = " . $app_id . " LIMIT 1");
$row = mysqli_fetch_object($sql);

if ($row->app_id == "") {
	// App in Datenbank nicht gefunden
	die("Error Window 3");
}


// Werden administrative Rechte benoetigt?
if ($row->admin_only == "1" && !auth_user_admin()) {
	// Ja, und der Benutzer hat sie nicht:
	die("Error Window 4");
}


// Alle Abfragen geschafft, also wollen wir fair sein und die Daten schicken:
// Reihenfolge: title, width, height, resizable, fullscreenable, closeable, on_close, minimizable, start_on_fullscreen, 
// background_title, background_body, req_full_rights
echo $row->title . ';:;' . $row->width . ';:;' . $row->height . ';:;' . $row->resizable
. ';:;' . $row->fullscreenable . ';:;' . $row->closeable . ';:;' . $row->on_close . ';:;' . $row->minimizable .
';:;' . $row->start_on_fullscreen . ';:;' . $row->background_title . ';:;' . $row->background_body . ';:;' . $row->req_full_rights;


// Die Verbindung beenden:
mysqli_close($mysql_verbindung);

?>
