<?php
// Zuerst Kontrolle, ob Secure besteht:
if (SECURE != "SpercOS")
	die("Error 1");
?>

<a href="index.php?lang=<?php echo $lang["alt_lang"]; ?>" class="lang_link"><?php echo $lang["next_lang"]; ?></a>

<img src="imgs/logo_full.png" alt="image-logo-full" id="logo-full-image" />

<div id="login_div">
	<!-- Die beiden Grafiken einfuegen -->
	<img src="imgs/padlock.png" alt="image-padlock" id="lock-image" />
	<img src="imgs/logo.png" alt="image-logo" id="logo-image" />
	
	<hr class="horizontale-linie" style="margin-top: 102px;" />
	
	<!-- In dieser Box werden Informationen angezeigt -->
	<div id="hidden-box" style="display: none;">
		<p></p>
		<hr class="horizontale-linie" />
	</div>
	
	<form action="#" method="post">
		
		<!-- Diese Checkbox verifiziert, ob es sich um einen Login handelt oder nicht. -->
		<input type="checkbox" name="registerform" value="1" style="display: none;" />
		
		<!-- Hier zuerst die linke Seite (Nur Login) -->
		<div id="left-login">
			<p class="beschreibung"><?php echo $lang["username"]; ?>:</p>
			<input type="text" class="login-eingabe" placeholder="<?php echo $lang["username"]; ?>" name="username" />
			<p class="beschreibung"><?php echo $lang["pwd"]; ?>:</p>
			<input type="password" class="login-eingabe" placeholder="<?php echo $lang["pwd"]; ?>" name="pwd" />
		</div>
		
		
		<!-- Dann die rechte Seite mit Registration -->
		<div id="right-login">
			<p class="beschreibung"><?php echo $lang["email_address"]; ?>:</p>
			<input type="text" class="login-eingabe" placeholder="<?php echo $lang["email"]; ?>" name="email" />
			<p class="beschreibung"><?php echo $lang["pwd_repeat"]; ?>:</p>
			<input type="password" class="login-eingabe" placeholder="<?php echo $lang["pwd"]; ?>" name="pwd_repeat" />
		</div>
		
		
		<!-- Hier sind nur noch die Buttons -->
		<div id="bottom-login">
			<div id="button-set-1">
				<input type="submit" value="<?php echo $lang["login"]; ?>" class="login-button" />
				<input type="button" value="<?php echo $lang["register"]; ?>" class="login-button" onclick="show_registration();" />
			</div>
			<div id="button-set-2" style="display: none;">
				<input type="submit" value="<?php echo $lang["register"]; ?>" class="login-button" />
				<input type="button" value="<?php echo $lang["abort"]; ?>" class="login-button" onclick="hide_registration();" />
			</div>
		</div>
		
	</form>

</div>


<!-- Der Ladescreen bei erfolgreicher authentifizierung -->
<div id="ladescreen">
	<input type="button" value="<?php echo $lang["to_desktop"] ?>" class="login-button" onclick="location.reload();" />
	<div id="progressbar"></div>
	<p></p>
</div>
