<?php
// Zuerst Kontrolle, ob Secure besteht:
if (SECURE != "SpercOS")
	die("Error 1");
?>


<?php


// In dieser Funktion wird ab dem tmp-Verzeichnis systematisch alles abgegrast:
// In jedem Subordner soll eine index.htm sein!
// In jedem Subordner darf keine Datei existieren, die laenger als 225 Zeichen ist
// Bei PHP-Dateien die Secure-Klausel einbinden:
function recursive_prepare ($path) {
	
	if (is_dir($path)) {
		
		// Wenn angegebener Pfad ein Ordner ist, dann fuer alle enthaltenen Dateien die Funktion ausfuehren:
		$ordnerinhalte = scandir($path);
		foreach ($ordnerinhalte as $ordnerinhalt) {
			// Es ist einigermaßen wichtig, dass die Laenge des Namens nicht laenger als 225 Zeichen ist.
			if (strlen($ordnerinhalt) > 225) {
				// Wir haben dich gewarnt, du wirst geloescht.
				if (!unlink($path . '/' . $ordnerinhalt))
					return false;
			}
			
			// Das sollte keine Backreferenz sein, sonst landen wir in einer Endlosschleife
			else if ($ordnerinhalt != "." && $ordnerinhalt != ".." && $ordnerinhalt != "de.php" && $ordnerinhalt != "en.php") {
				// Die Funktion neu starten mit Unterordner
				if (!recursive_prepare($path . '/' . $ordnerinhalt))
					return false;
			}
		}
		
		// Nach dieser Schleife muss eine index.htm angelegt werden:
		if (!copy("index.htm", $path . '/index.htm'))
			return false;
	}
	
	
	// Es handelt sich bei dieser Datei um eine PHP-Datei
	else if (preg_match('/^.+\.php$/i', $path)) {
		
		$dateizeiger = fopen($path, "r+b");
		
		$alter_inhalt = fread($dateizeiger, filesize($path));
		// Nach dem Read ist der Dateizeiger am Ende, deshalb zurueckspulen
		rewind($dateizeiger);
		
		// Neuen Inhalt generieren
		$inhalt = '<?php' . PHP_EOL
		. '// Zuerst Kontrolle, ob Secure besteht:' . PHP_EOL
		. 'if (SECURE != "SpercOS")'. PHP_EOL
		. '	die("Error 1");' . PHP_EOL
		. '?>' . PHP_EOL . PHP_EOL . PHP_EOL . $alter_inhalt;
		
		// Neuen Inhalt schreiben
		if (!fwrite($dateizeiger, $inhalt))
			return false;
		
		fclose($dateizeiger);
		
	}
	
	return true;
	
}




// Wurde Formular abgeschickt?
if ($_GET["sent"] == "1") {
	
	// Kein Error beim hochladen?
	if ($_FILES["datei"]["error"] != 0) {
		echo 'Es gab einen Fehler beim Upload: ' . $_FILES["datei"]["error"];
	}
	
	// Datei nicht zu gross? (Max 1MB; min 20B)
	else if ($_FILES["datei"]["size"] > 1048576 || $_FILES["datei"]["size"] < 20) {
		echo 'Die Datei ist zu gro&szlig;. Bitte wenden Sie sich an den Appdeveloper!';
	}
	
	// Archivname nicht zu lang und ein Ziparchiv?
	else if (preg_match('/^[0-9A-Z_\-]{1,250}\.zip$/i', $_FILES["datei"]["name"]) != 1) {
		echo 'Der Archivname darf nicht l&auml;nger als 250 Zeichen sein und muss ein Zip-Archiv sein! Au&szlig;erdem
		d&uuml;rfen nur englische Normalzeichen enthalten sein!';
	}
	
	// Datei temporaer verschieben
	else if (move_uploaded_file($_FILES["datei"]["tmp_name"],
	'./' . $app_id . '/tmp/' . $_FILES["datei"]["name"]) == false) {
		echo 'Die Datei konnte nicht verschoben werden. Fehlen die Berechtigungen?';
	}
	
	// Mit den verschobenen Daten weitermachen:
	else {
		
		// Das Archiv entpacken
		$dateipfad = realpath('./' . $app_id . '/tmp/' . $_FILES["datei"]["name"]);
		$zip = new ZipArchive;
		if ($zip->open($dateipfad) === true) {
			
			// Neuen Zugriffspfad erhalten:
			$ordnerpfad = './' . $app_id . '/tmp';
			
			// Hier wird nun wirklich entpackt:
			$zip->extractTo(pathinfo($dateipfad, PATHINFO_DIRNAME));
			$zip->close();
			
			
			// Das alte Archiv entfernen:
			if (unlink($dateipfad) == false) {
				echo 'Altes Archiv konnte nicht gel&ouml;scht werden.';
			}
			
			// Existiert die content.php?
			else if (!is_file($ordnerpfad . '/content.php')) {
				echo 'Es ist keine content.php im Archiv enthalten!';
			}
			
			// Existieren die Sprachfiles?
			else if (!is_file($ordnerpfad . '/de.php') || !is_file($ordnerpfad . '/en.php')) {
				echo 'Es gibt nicht zu beiden Sprachen die notwendigen Dateien.';
			}
			
			// Existiert das Icon?
			else if (!is_file($ordnerpfad . '/icon.png')) {
				echo 'Es ist kein Icon vorhanden.';
			}
			
			// Test nur, weil ich nicht aus der Geschichte rausmoechte
			// !!! Und das klappt nicht
			else if (0 == 0) {
				// Die Bildgroesse fuer den naechsten Test ermitteln
				$bildgroesse = getimagesize($ordnerpfad . '/icon.png');
			}
			
			else if ($bildgroesse[0] != 32 || $bildgroesse[1] != 32) {
				echo 'Das Icon hat die falsche Gr&ouml;&szlig;e. Es muss 32px * 32px sein!';
			}
			
			// Systematisch Ordner durchgehen
			else if (!recursive_prepare($ordnerpfad)) {
				echo 'Es gab einen Fehler bei der Dateiweiterverarbeitung. Sind die ben&ouml;tigten Rechte vorhanden?';
			}
			
			else {
				// Die install.php einbinden
			}
			
		}
		
		else {
			echo 'Archiv konnte nicht ge&ouml;ffnet werden!';
		}
		
	}
	
	
	
	// Jedes Element
	// angegebenen Leistungen (styles und scripts) verfuegbar?
	// Install.php vollstaendig?
	// Die Elemente in SQL eintragen (SQL-Installation)
	// An die richtigen Stellen kopieren
	
	
	
}



// Ausgabe des Formulars:
echo '<fieldset><legend>' . $lang["menu-new-app"] . '</legend>'
. $lang["new-app-info"]
. '<form action="' . $self_refer . '&action=new_app&sent=1" method="post" enctype="multipart/form-data">
<br /><input type="file" name="datei" accept=".zip" />
<input type="submit" value="' . $lang["new-app-upload"] . '" />
</form></fieldset>';

?>
