<?php

session_start();

// Secure machen:
define("SECURE", "SpercOS");

// Dateien einbinden:
require_once "../mysql_inc.php";
require_once "../funcs_inc.php";
// Sprache einbinden
require_once set_lang("login.php", 1);

// Benutzer darf nicht eingelogged sein:
if (auth_user_session()) {
	die("Error Login 1");
}

// Alle Daten abrufen:
$registerform = $_GET["registerform"];
$username = $_GET["username"];
$pwd = $_GET["pwd"];
$email = $_GET["email"];
$pwd_repeat = $_GET["pwd_repeat"];


// Wenn nur eingelogged wird:
if ($registerform != "1") {
	
	// Username und Passwort muessen vergeben sein:
	if ($username == "") {
		$ausgabe[] = $lang["kein_username"];
	}
	if ($pwd == "") {
		$ausgabe[] = $lang["kein_pwd"];
	}
	
	// Wenn beides eingegeben wurde:
	if (empty($ausgabe)) {
		
		// Datenbank nach Benutzer durchsuchen:
		$sql = mysqli_query($mysql_verbindung, "SELECT user_id, pwd, lang, style,
		lastlogin, deleted FROM sos_users WHERE username = '" . $username . "' LIMIT 1");
		$row = mysqli_fetch_object($sql);
		
		// Benutzer schon geloescht?
		if ($row->deleted == 1) {
			echo $lang["deleted_user"];
		}
		
		// Passwort korrekt?
		elseif ($row->pwd == md5($pwd)) {
			
			// Lastlogin ueberschreiben:
			mysqli_query($mysql_verbindung, "UPDATE sos_users SET lastlogin = '"
			. date("Y-m-d H:i") . "' WHERE user_id = " . $row->user_id);
			
			// Session vergeben:
			$_SESSION["sos"] = array(
			"id" => $row->user_id,
			"lang" => $row->lang,
			"pwd" => $row->pwd
			);
			
			// Ausgeben:
			echo 'login_ok;:;' . $lang["welcome"] . ' ' . $row->lastlogin;
			
		}
		
		// Falsches Kennwort oder falscher Benutzername
		else {
			echo $lang["falsches_pwd"];
	}
	
	}
	
	// Eines der benoetigten Sachen wurde nicht eingegeben:
	else {
		// Mehrere Sachen waren nicht vollstaendig
		if (count($ausgabe) != 1) {
			echo '<ul>';
			foreach ($ausgabe as $item) {
				echo '<li style="margin: 0px;">' . $item . '</li>';
			}
			echo '</ul>';
		}
		// Nur eine Sache hat einen Fehler verursacht:
		else {
			echo $ausgabe[0];
		}
	}
	
}

// Hier will sich einer registrieren:
else {
	
	// Username und Passwort muessen vergeben sein:
	if ($username == "") {
		$ausgabe[] = $lang["kein_username"];
	}
	if ($pwd == "") {
		$ausgabe[] = $lang["kein_pwd"];
	}
	if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
		$ausgabe[] = $lang["fail_mail"];
	}
	
	if ($pwd_repeat != $pwd) {
		$ausgabe[] = $lang["wrong_repeat"];
	}
	
	// Alle Felder korrekt ausgefuellt:
	if (empty($ausgabe)) {
		
		// Daten nach vorhandenem User suchen:
		$sql = mysqli_query($mysql_verbindung, "SELECT user_id FROM sos_users WHERE username = '" . $username . "'");
		$row = mysqli_fetch_object($sql);
		
		// Benutzername bisher vergeben
		if ($row->user_id != "") {
			echo $lang["vergeben_username"];
		}
		
		// Speichere Registration:
		else {
			
			// In Datenbank schreiben
			mysqli_query($mysql_verbindung, "INSERT INTO sos_users (username, pwd, mail, lang, admin, lastlogin, deleted, recent, sent_command, tooltips, style) VALUES
			('" . $username . "', '" . md5($pwd) . "', '" . $email . "', '" . $_SESSION["sos"]["lang"] . "', '0',
			'" . date('Y-m-d H:i') . "', '0', '', '', 0, '')");
			
			// Session vergeben:
			$_SESSION["sos"] = array(
			"id" => mysqli_insert_id($mysql_verbindung),
			"lang" => $_SESSION["sos"]["lang"],
			"pwd" => md5($pwd)
			);
			
			// Ausgeben:
			echo 'login_ok;:;' . $lang["welcome_register"];
			
		}
		
	}
	
	else {
		// Mehrere Sachen waren nicht vollstaendig
		if (count($ausgabe) != 1) {
			echo '<ul>';
			foreach ($ausgabe as $item) {
				echo '<li style="margin: 0px;">' . $item . '</li>';
			}
			echo '</ul>';
		}
		// Nur eine Sache hat einen Fehler verursacht:
		else {
			echo $ausgabe[0];
		}
	}
	
}

// MySQL beenden:
mysqli_close($mysql_verbindung);

?>
